> For the complete documentation index, see [llms.txt](https://docs.intellizence.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.intellizence.com/company-news-signals-api-deprecated/search-signals-by-group-and-company-ids.md).

# Search Signals - By Group and Company IDs

POST /api/v2/search HTTP/1.1

**Request Body**

```
{
    "startDate": "start_date",
    "endDate": "end_date",
    "group": "group",
    "companyIds": "company_ids",
    "triggerCodes": "trigger_codes",
    "limit": "limit",
    "ts": "ts",
    "keyword": "keyword"
}
```

| Param        | Mandatory | Description                                                                                                                                             |
| ------------ | --------- | ------------------------------------------------------------------------------------------------------------------------------------------------------- |
| startDate    | N         | It will return news published from this date in format DD/MM/YYYY                                                                                       |
| endDate      | N         | It will return news published till this date in format DD/MM/YYYY                                                                                       |
| group        | N         | It will return news for the Companies and Triggers under this Group Name                                                                                |
| companyIds   | N         | Array of company ids. It will return news for these company ids. If companyIds is not passed, news for all the tracked companies will be returned.      |
| triggerCodes | N         | Array of trigger codes. It will return news for these trigger codes. If triggerCodes is not passed, news for all the tracked triggers will be returned. |
| limit        | N         | Default value is 100. Number of news items. If startDate and endDate are not passed, it will return latest 'N' news depending on limit value.           |
| ts           | N         | This can be used for pagination. Next set of news  items after this 'ts' value is returned.                                                             |
| keyword      | N         | If you want to search and get news having this keyword in news title or description.                                                                    |

**Response body**

```
{
    "status": "status_code",
    "news": [
        {
            "hash": "new_id",
            "publisher": "news_publisher",
            "title": "new_title",
            "url": "new_url",
            "desc": "news_description",
            "publishDate": "news_published_date",
            "companyIds": ["Intellizence_company_id_1", "Intellizence_company_id_2"],
,           "companies": ["company_name_1", "company_name_2"],
            "triggerCodes": ["Intellizence_trigger_code_1", "Intellizence_trigger_code_2"],
            "triggers": ["trigger_1", "trigger_2"]
            "topics": ["topic_1", "topic_2"],
            "ts": "timestamp of this news. Used for pagination.",
            "similarNews": "Array of similar news",
            "companyDomains": ["company_domain_1", "company_domain_2"] 
        }
    ]
}
```

| Status code | Description                            |
| ----------- | -------------------------------------- |
| 0           | Success                                |
| -3          | No company ids or trigger codes found. |
